- prefer mimeopen as generic default (#210797)
This commit is contained in:
parent
7ee838033c
commit
56050d06e1
18
xdg-utils-1.0-mimeopen.patch
Normal file
18
xdg-utils-1.0-mimeopen.patch
Normal file
@ -0,0 +1,18 @@
|
||||
--- xdg-utils-1.0/scripts/xdg-open.mimeopen 2006-10-17 22:55:02.000000000 +0200
|
||||
+++ xdg-utils-1.0/scripts/xdg-open 2006-10-17 22:55:15.000000000 +0200
|
||||
@@ -360,6 +360,15 @@
|
||||
|
||||
open_generic()
|
||||
{
|
||||
+ if mimeopen -v 2>/dev/null 1>&2; then
|
||||
+ mimeopen -n "$1"
|
||||
+ if [ $? -eq 0 ]; then
|
||||
+ exit_success
|
||||
+ else
|
||||
+ exit_failure_operation_failed
|
||||
+ fi
|
||||
+ fi
|
||||
+
|
||||
IFS=":"
|
||||
for browser in $BROWSER; do
|
||||
if [ x"$browser" != x"" ]; then
|
@ -2,7 +2,7 @@
|
||||
Summary: Basic desktop integration functions
|
||||
Name: xdg-utils
|
||||
Version: 1.0
|
||||
Release: 1%{?dist}
|
||||
Release: 2%{?dist}
|
||||
|
||||
URL: http://portland.freedesktop.org/
|
||||
Source0: http://portland.freedesktop.org/download/xdg-utils-%{version}%{?beta}.tgz
|
||||
@ -11,14 +11,13 @@ Group: System Environment/Base
|
||||
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
|
||||
BuildArch: noarch
|
||||
|
||||
# Not really used (yet)
|
||||
#BuildRequires: xmlto
|
||||
|
||||
Requires: desktop-file-utils
|
||||
## kde-config
|
||||
#Requires: kdelibs
|
||||
# update-gtk-icon-cache
|
||||
#Requires: gtk2
|
||||
#Requires(hint): kdelibs
|
||||
## update-gtk-icon-cache
|
||||
#Requires(hint): gtk2
|
||||
## generic default
|
||||
#Requires(hint): mimeopen
|
||||
|
||||
|
||||
%description
|
||||
@ -71,6 +70,9 @@ rm -rf $RPM_BUILD_ROOT
|
||||
|
||||
|
||||
%changelog
|
||||
* Tue Oct 24 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.0-2
|
||||
- prefer mimeopen as generic default (#210797)
|
||||
|
||||
* Tue Oct 10 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.0-1
|
||||
- 1.0(final)
|
||||
|
||||
|
Loading…
Reference in New Issue
Block a user